# $Id: perl-Bit-Vector.spec 5970 2007-11-08 22:11:43Z dag $
# Authority: dag
# Upstream: Steffen Beyer <sb$engelschall,com>

# ExcludeDist: el4

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Bit-Vector

Summary: Efficient bit vector, set of integers and "big int" math library
Name: perl-Bit-Vector
Version: 6.4
Release: 2.%{releasetagsuffix}
License: Artistic/GPL/LGPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Bit-Vector/

Source: http://www.cpan.org/modules/by-module/Bit/Bit-Vector-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Efficient bit vector, set of integers and "big int" math library.

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

### Clean up docs
find examples/ -type f -exec %{__chmod} a-x {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Artistic.txt CHANGES.txt CREDITS.txt GNU_GPL.txt GNU_LGPL.txt INSTALL.txt MANIFEST README.txt examples/
%doc %{_mandir}/man3/*.3pm*
%dir %{perl_vendorarch}/auto/Bit/
%{perl_vendorarch}/auto/Bit/Vector/
%dir %{perl_vendorarch}/Bit/
%{perl_vendorarch}/Bit/Vector.pm
%{perl_vendorarch}/Bit/Vector.pod
%{perl_vendorarch}/Bit/Vector/

%changelog
* Sun Jun 04 2006 Dag Wieers <dag@wieers.com> - 6.4-2 #5970
- Fixed a problem on FC2 and FC3.

* Mon May 29 2006 Dag Wieers <dag@wieers.com> - 6.4-1
- Initial package. (using DAR)
